---
labels:
  - GraphQL
internalOnly: false
learnMore: https://spec.graphql.org/October2021/#sec-Selection-Sets
learnMoreText: Read more in the GraphQL Specification
---

The part of a GraphQL query that specifies the fields and subfields to retrieve from the server. Selection sets define the structure and shape of the data response.

The following example query has four selection sets:

```graphql disableCopy
query GetWeatherForecast {
  weatherForecast {
    currentConditions {
      conditions
      temperature
    }
    dailyForecast {
      highTemperature
      lowTemperature
      conditions
    }
    timestamp
  }
}
```

The root selection set contains the `weatherForecast` field. `weatherForecast` has its own selection set with three fields. Two of those fields—`currentConditions` and `dailyForecast`— contain selection sets themselves.
